Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 22-02-2022 18:52:36

zaphir
Membre
Inscription : 10-09-2010

Nala nouveau par-dessus pour APT

Salut,

Petite découverte de l'application 'Nala' qui est un nouveau par-dessus pour 'APT' écrit en python et dont les sorties dans le terminal sont 'zolies'.
Visuellement c'est un cran au-dessus de APT & consorts, les infos essentielles sont bien ordonnées, on est à la frontière entre 'dnf' et 'pacman'.
Pour l'installation il y a le choix entre un paquet deb ou l'ajout manuel de dépôts.
Je n'ai pas encore joué avec mais je vais sûrement faire un test un de ces quatre.

Nala is a front-end for libapt-pkg. Specifically we interface using the python-apt api.
Especially for newer users it can be hard to understand what apt is trying to do when installing or upgrading.
We aim to solve this by not showing some redundant messages, formatting the packages better, and using color to
show specifically what will happen with a package during install, removal, or an upgrade.



Dépôt:
https://gitlab.com/volian/nala
Doc:
https://gitlab.com/volian/nala/-/blob/m … /nala.8.md

nala-install-1.png

PS:
Oui je dis par-dessus et pas surcouche ou enrobeur, je trouve que c'est mieux yes.gif

Hors ligne

#2 22-02-2022 19:46:22

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : Nala nouveau par-dessus pour APT

bonjour,

as-tu lu la ligne j'arrive pas à copié-collé où c'est dit que ça "casse" aptitude [enfin < à 0.8.10, bullseye est à .13) entre autre, et apt-utils,
perso, je vois que moyen l'intérêt, je comprends pas tout comment ça marche pour choper jusqu'à 16 fois plus/plus vite de paquets, mais surtout, aptitude est une commande qui me retire (parfois) l'épine du pied quand je suis coincé..
entre aptitude ou la couleur, mon choix est fait,

source: gitlab

Dernière modification par ubub (22-02-2022 19:55:33)

En ligne

#3 22-02-2022 20:10:06

zaphir
Membre
Inscription : 10-09-2010

Re : Nala nouveau par-dessus pour APT

ubub a écrit :

as-tu lu la ligne j'arrive pas à copié-collé où c'est dit que ça "casse" aptitude [enfin < à 0.8.10, bullseye est à .13) entre autre, et apt-utils



La ligne dont tu parles c'est une photo (c'est donc normale que tu ne puisse pas en faire un copié/collé) qui est le retour de la commande 'nala show apt' .
Donc tu obtiendras exactement la même chose avec un 'apt-cache show apt'. Il n'y a rien d'anormal.



 ~ : apt-cache show apt
Package: apt
Version: 2.2.4
Installed-Size: 4337
Maintainer: APT Development Team <deity@lists.debian.org>
Architecture: amd64
Replaces: apt-transport-https (<< 1.5~alpha4~), apt-utils (<< 1.3~exp2~)
Provides: apt-transport-https (= 2.2.4)
Depends: adduser, gpgv | gpgv2 | gpgv1, libapt-pkg6.0 (>= 2.2.4), debian-archive-keyring, libc6 (>= 2.15), libgcc-s1 (>= 3.0), libgnutls30 (>= 3.7.0), libseccomp2 (>= 2.4.2), libstdc++6 (>= 9), libsystemd0
Recommends: ca-certificates
Suggests: apt-doc, aptitude | synaptic | wajig, dpkg-dev (>= 1.17.2), gnupg | gnupg2 | gnupg1, powermgmt-base
Breaks: apt-transport-https (<< 1.5~alpha4~), apt-utils (<< 1.3~exp2~), aptitude (<< 0.8.10)
Description-fr: gestionnaire de paquets en ligne de commande
 Ce paquet fournit des outils en ligne de commande pour la recherche, la
 gestion ainsi que la demande d'informations à propos de paquets, le tout
 grâce à un accès bas niveau aux fonctionnalités de la bibliothèque libapt-pkg.
 .
 Ces outils sont :
  - apt-get pour la récupération de paquets et d'informations à leur sujet
     depuis des sources authentifiées et pour l'installation, la mise à
     niveau et la suppression de paquets ainsi que leurs dépendances ;
  - apt-cache pour consulter les informations disponibles sur les paquets
     installés et installables ;
  - apt-cdrom pour utiliser des médias amovibles en tant que source de
     paquets ;
  - apt-config qui sert d'interface pour les réglages de configuration ;
  - apt-key qui sert d'interface pour gérer les clés d'authentification.
Description-md5: 9fb97a88cb7383934ef963352b53b4a7
Tag: admin::package-management, devel::lang:ruby, hardware::storage,
 hardware::storage:cd, implemented-in::c++, implemented-in::perl,
 implemented-in::ruby, interface::commandline, network::client,
 protocol::ftp, protocol::http, protocol::ipv6, role::program,
 scope::application, scope::utility, suite::debian, use::downloading,
 use::organizing, use::playing, use::searching, works-with-format::html,
 works-with::audio, works-with::software:package, works-with::text
Section: admin
Priority: required
Filename: pool/main/a/apt/apt_2.2.4_amd64.deb
Size: 1491328
MD5sum: 24d53e8dd75095640a167f40476c0442
SHA256: 75f07c4965ff0813f26623a1164e162538f5e94defba6961347527ed71bc4f3d
 

Hors ligne

#4 22-02-2022 20:32:57

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : Nala nouveau par-dessus pour APT

... mea culpa,
ca casse d'anciennes versions d'aptitude, pas la actuelle,
mea maxima culpa, mais je vais pas aller chercher des orties à cette heure ...

En ligne

#5 22-02-2022 20:36:39

zaphir
Membre
Inscription : 10-09-2010

Re : Nala nouveau par-dessus pour APT

Y'a pas de problème smile

Hors ligne

Pied de page des forums